Subject: Re: bug#61325: 30.0.50; Jokes in GNUS manual

From: Po Lu <[email-masked]>
Date: Tue, 07 Feb 2023 10:04:51 +0800

Ihor Radchenko <[email-masked]> writes:

> While I do not object jokes per se, I do note that for a person outside
> USA context or, sometimes, for a person inside USA context, jokes in the
> listed section are simply distracting from understanding the described
> topic.

I am not American, yet I understand most of the jokes in the Gnus
manual.

> 3.15 Exiting Gnus has
>
>    Note:
>
>      Miss Lisa Cannifax, while sitting in English class, felt her feet
>      go numbly heavy and herself fall into a hazy trance as the boy
>      sitting behind her drew repeated lines with his pencil across the
>      back of her plastic chair.
>
> I am not sure if it is a joke. I only feel confused about what
> information this note is trying to convey. Also, at least one other user
> find this section insulting.
>
> Further, the last sentence in
>
> ‘z’
>      Suspend Gnus (‘gnus-group-suspend’).  This doesn’t really exit
>      Gnus, but it kills all buffers except the Group buffer.  I’m not
>      sure why this is a gain, but then who am I to judge?
>
> is implying what? Is it just a joke? Or is it saying that the function
> is useless? Discouraged? I am confused.
>
> 3.16 Group Topics
>
>     If you read lots and lots of groups, it might be convenient to group
>     them hierarchically according to topics.  You put your Emacs groups over
>     here, your sex groups over there, and the rest (what, two groups or so?)
>     you put in some misc section that you never bother with anyway.  You can
>     even group the Emacs sex groups as a sub-topic to either the Emacs
>     groups or the sex groups—or both!  Go wild!
>
> Forgetting about trying to joke around the word sex (the topic, often
> negatively received by, at least, some Muslim users), I simply feel
> disoriented while trying to read this paragraph. I can understand the
> first sentence. Is the rest of the paragraph a joke? Or are there useful
> pieces of information coded inside?

I think this joke is fairly obvious for anyone who has tried to browse a
public news server.

> After reading this info section, I feel that the amount of attempted
> jokes is larger than the amount of useful information. This is
> distracting (even though I do not mind an occasional joke, personally)
>
> 8 Scoring has
>
>     Other people use “kill files”, but we here at Gnus Towers like scoring
>     better than killing, so we’d rather switch than fight.  They do
>     something completely different as well, so sit up straight and pay
>     attention!
>
> For me, this paragraph is meaningless. For US users, it is some kind of
> word play around sexual behavior, I guess. At least some users find "we
> .. like scoring better than killing" uncomfortable. I object jokes that
> make people feel uncomfortable.
>
> Also, I fail to understand what "kill files" really refers to here. Also
> some USA-specific context? Or is it Emacs killing concept? Deleting
> files on file system?

Gnus is a news reader.  Naturally, the indended audience of the jokes in
its manual are those who read net news.  Since you don't know what a
kill or a (Gnus-specific) score file is, you can disregard that
paragraph.

The internet is for adults, not silly folk who cry about everything they
don't understand.